﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="Content" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>Content Validations</title>

    <rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/xbrli:context[not(@i:nil='true' or @i:nil='1')]">

        <let name="currentContextId" value="@id"/>
        <!--
            FOR ANY OCCURRENCE OF CONTEXT (SuperFundMember.{ReportingPartyABN})
            IF [STIC11] > CONTEXT(INT) period.startDate(1-4)
                RETURN VALIDATION MESSAGE
            ENDIF

            [STIC11] = STIC:SuperFundMember.{ReportingPartyABN}:pyde.02.12:PersonDemographicDetails.Birth.Year
        -->
        <assert id="VR.ATO.STIC.000014" diagnostics="DVR.ATO.STIC.000014"
                test="not(                         
                        $currentContextId = $SFMABN.ContextId and 
                        number(../pyde.02.12:PersonDemographicDetails.Birth.Year[@contextRef=$currentContextId and not(@i:nil='true' or @i:nil='1')])
                        &gt;
                        number(substring($INT.Context[1]/xbrli:period/xbrli:startDate,1,4))
                     )"/>

        <!--
            FOR ANY OCCURRENCE OF CONTEXT (SuperFundMember.{ReportingPartyABN})
            IF [STIC14] <> NULLORBLANK AND
            [STIC13] = NULLORBLANK
                 RETURN VALIDATION MESSAGE 
             ENDIF

            [STIC13] = STIC:SuperFundMember.{ReportingPartyABN}:pyde.02.00:PersonNameDetails.GivenName.Text
            [STIC14] = STIC:SuperFundMember.{ReportingPartyABN}:pyde.02.00:PersonNameDetails.OtherGivenName.Text
        -->
        <assert id="VR.ATO.STIC.000016" diagnostics="DVR.ATO.STIC.000016"
                test="not(
                        . = $SFMABN.Context
                        and                       
                        ../pyde.02.00:PersonNameDetails.OtherGivenName.Text[@contextRef = $currentContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                        and
                        not(../pyde.02.00:PersonNameDetails.GivenName.Text[@contextRef = $currentContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])
                     ) "/>

      <!--
          FOR ANY OCCURRENCE OF CONTEXT (SuperFundMember.{ReportingPartyABN})
          IF [STIC13] = NULLORBLANK
             RETURN VALIDATION MESSAGE
          ENDIF

          [STIC13] = STIC:SuperFundMember.{ReportingPartyABN}:pyde.02.00:PersonNameDetails.GivenName.Text
        -->
      <assert id="VR.ATO.STIC.000034" diagnostics="DVR.ATO.STIC.000034"
              test="not(
                        . = $SFMABN.Context
                        and
                        not(../pyde.02.00:PersonNameDetails.GivenName.Text[@contextRef = $currentContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])
                     ) "/>

      <!--
          FOR ANY OCCURRENCE OF CONTEXT (SuperFundMember.{ReportingPartyABN})
          IF [STIC8] = NULLORBLANK AND [STIC15] = NULLORBLANK
             RETURN VALIDATION MESSAGE
          ENDIF


          [STIC8] = STIC:SuperFundMember.{ReportingPartyABN}:pyid.02.00:Identifiers.TaxFileNumber.Identifier
          [STIC15] = STIC:SuperFundMember.{ReportingPartyABN}:pyde.02.00:AddressDetails.Line1.Text
        -->
      <assert id="VR.ATO.STIC.000035" diagnostics="DVR.ATO.STIC.000035"
              test="not(
                        . = $SFMABN.Context
                        and
                        not(../pyid.02.00:Identifiers.TaxFileNumber.Identifier[@contextRef = $currentContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])
                        and
                        not(../pyde.02.00:AddressDetails.Line1.Text[@contextRef = $currentContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])
                     ) "/>

      <!--
        FOR ANY OCCURRENCE OF CONTEXT (SuperFundMember.{ReportingPartyABN})
        IF [STIC8] = NULLORBLANK AND [STIC17] = NULLORBLANK
           RETURN VALIDATION MESSAGE
        ENDIF


        [STIC8] = STIC:SuperFundMember.{ReportingPartyABN}:pyid.02.00:Identifiers.TaxFileNumber.Identifier
        [STIC17] = STIC:SuperFundMember.{ReportingPartyABN}:pyde.02.00:AddressDetails.LocalityName.Text
        -->
      <assert id="VR.ATO.STIC.000036" diagnostics="DVR.ATO.STIC.000036"
              test="not(
                        . = $SFMABN.Context
                        and
                        not(../pyid.02.00:Identifiers.TaxFileNumber.Identifier[@contextRef = $currentContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])
                        and
                        not(../pyde.02.00:AddressDetails.LocalityName.Text[@contextRef = $currentContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])
                     ) "/>

      <!--
        FOR ANY OCCURRENCE OF CONTEXT (SuperFundMember.{ReportingPartyABN})
        IF [STIC8] = NULLORBLANK AND ([STIC20] = NULL OR [STIC20] = "au")  AND [STIC18] = NULL
           RETURN VALIDATION MESSAGE
        ENDIF


        [STIC8] = STIC:SuperFundMember.{ReportingPartyABN}:pyid.02.00:Identifiers.TaxFileNumber.Identifier
        [STIC18] = STIC:SuperFundMember.{ReportingPartyABN}:pyde.02.00:AddressDetails.Postcode.Text
        [STIC20] = STIC:SuperFundMember.{ReportingPartyABN}:pyde.02.08:AddressDetails.Country.Code
        -->
      <assert id="VR.ATO.STIC.000037" diagnostics="DVR.ATO.STIC.000037"
              test="not(
                        . = $SFMABN.Context
                        and
                        not(../pyid.02.00:Identifiers.TaxFileNumber.Identifier[@contextRef = $currentContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])
                        and
                        not(../pyde.02.00:AddressDetails.Postcode.Text[@contextRef = $currentContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])
                        and (  
                              not(../pyde.02.08:AddressDetails.Country.Code[@contextRef = $currentContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])
                              or
                              ../pyde.02.08:AddressDetails.Country.Code[@contextRef = $currentContextId and not(@i:nil='true' or @i:nil='1') and upper-case(.) = 'AU']
                            )
                     ) "/>


      <!--
        FOR ANY OCCURRENCE OF CONTEXT (SuperFundMember.{ReportingPartyABN})
        IF [STIC8] = NULLORBLANK AND ([STIC20] = NULL OR [STIC20] = "au")  AND [STIC19] = NULL
           RETURN VALIDATION MESSAGE
        ENDIF


        [STIC8] = STIC:SuperFundMember.{ReportingPartyABN}:pyid.02.00:Identifiers.TaxFileNumber.Identifier
        [STIC19] = STIC:SuperFundMember.{ReportingPartyABN}:pyde.02.00:AddressDetails.StateOrTerritory.Code
        [STIC20] = STIC:SuperFundMember.{ReportingPartyABN}:pyde.02.08:AddressDetails.Country.Code
        -->
      <assert id="VR.ATO.STIC.000038" diagnostics="DVR.ATO.STIC.000038"
              test="not(
                        . = $SFMABN.Context
                        and
                        not(../pyid.02.00:Identifiers.TaxFileNumber.Identifier[@contextRef = $currentContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])
                        and
                        not(../pyde.02.00:AddressDetails.StateOrTerritory.Code[@contextRef = $currentContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])
                        and (  
                              not(../pyde.02.08:AddressDetails.Country.Code[@contextRef = $currentContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])
                              or
                              ../pyde.02.08:AddressDetails.Country.Code[@contextRef = $currentContextId and not(@i:nil='true' or @i:nil='1') and upper-case(.) = 'AU']
                            )
                     ) "/>

      <!--
        FOR ANY OCCURRENCE OF CONTEXT (SuperFundMember.{ReportingPartyABN})
        IF [STIC8] = NULLORBLANK AND [STIC9] = NULLORBLANK
           RETURN VALIDATION MESSAGE
        ENDIF


        [STIC8] = STIC:SuperFundMember.{ReportingPartyABN}:pyid.02.00:Identifiers.TaxFileNumber.Identifier
        [STIC9] = STIC:SuperFundMember.{ReportingPartyABN}:pyde.02.12:PersonDemographicDetails.Birth.DayofMonth

        -->
      <assert id="VR.ATO.STIC.000040" diagnostics="DVR.ATO.STIC.000040"
              test="not(
                        . = $SFMABN.Context
                        and
                        not(../pyid.02.00:Identifiers.TaxFileNumber.Identifier[@contextRef = $currentContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])
                        and
                        not(../pyde.02.12:PersonDemographicDetails.Birth.DayofMonth[@contextRef = $currentContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])
                     ) "/>

      <!--
        FOR ANY OCCURRENCE OF CONTEXT (SuperFundMember.{ReportingPartyABN})
        IF [STIC8] = NULLORBLANK AND [STIC10] = NULLORBLANK
           RETURN VALIDATION MESSAGE
        ENDIF


        [STIC8] = STIC:SuperFundMember.{ReportingPartyABN}:pyid.02.00:Identifiers.TaxFileNumber.Identifier
        [STIC10] = STIC:SuperFundMember.{ReportingPartyABN}:pyde.02.12:PersonDemographicDetails.Birth.Month
        -->
      <assert id="VR.ATO.STIC.000041" diagnostics="DVR.ATO.STIC.000041"
              test="not(
                        . = $SFMABN.Context
                        and
                        not(../pyid.02.00:Identifiers.TaxFileNumber.Identifier[@contextRef = $currentContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])
                        and
                        not(../pyde.02.12:PersonDemographicDetails.Birth.Month[@contextRef = $currentContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])
                     ) "/>
		

        <!--
          WHERE IN CONTEXT (SuperFundMember.{ReportingPartyABN})
          IF [STIC7] = "VALIDENT" AND ([STIC21] <> NULLORBLANK OR [STIC26] <> NULLORBLANK OR [STIC24] <> NULL OR [STIC22] <> NULL)
            RETURN VALIDATION MESSAGE
          ENDIF

          [STIC7] = STIC:SuperFundMember.{ReportingPartyABN}:pyin.02.14:Interaction.Reason.Text
          [STIC21] = STIC:SuperFundMember.{ReportingPartyABN}:pyid.02.10:Identifiers.SuperannuationMemberAccount.Identifier
          [STIC24] = STIC:SuperFundMember.{ReportingPartyABN}:emsup.02.22:SuperannuationFundDetails.MemberAccountStatus.Code
          [STIC22] = STIC:SuperFundMember.{ReportingPartyABN}:emsup.02.22:SuperannuationFundDetails.MemberAccountStatus.Date
          [STIC26] = STIC:SuperFundMember.{ReportingPartyABN}:emsup.02.08:SuperannuationFundDetails.UniqueSuperannuationIdentifier.Identifier

        -->
        <assert id="VR.ATO.STIC.000022" diagnostics="DVR.ATO.STIC.000022"
                test="not(
                          . = $SFMABN.Context
                           and                          
                           ../pyin.02.14:Interaction.Reason.Text[@contextRef = $currentContextId and not(@i:nil='true' or @i:nil='1') and normalize-space(upper-case(.))='VALIDENT'] 
                           and (
                                ../pyid.02.10:Identifiers.SuperannuationMemberAccount.Identifier[@contextRef = $currentContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0  ]
                                or  ../emsup.02.22:SuperannuationFundDetails.MemberAccountStatus.Code[@contextRef = $currentContextId and not(@i:nil='true' or @i:nil='1')]
                                or  ../emsup.02.22:SuperannuationFundDetails.MemberAccountStatus.Date[@contextRef = $currentContextId and not(@i:nil='true' or @i:nil='1')]
                                or  ../emsup.02.08:SuperannuationFundDetails.UniqueSuperannuationIdentifier.Identifier[@contextRef = $currentContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                               )              
                     )" />
      
    </rule>

    <rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:AddressDetails.StateOrTerritory.Code[not(@i:nil='true' or @i:nil='1')]">

        <!--
            FOR ANY OCCURRENCE OF CONTEXT (SuperFundMember.{ReportingPartyABN})
            IF [STIC19] <> NULLORBLANK AND
            [STIC20] = "au" AND
            [STIC19] <> SET ("ACT","NSW","NT","QLD","SA","VIC","WA","TAS")
                RETURN VALIDATION MESSAGE
            ENDIF

            [STIC19] = STIC:SuperFundMember.{ReportingPartyABN}:pyde.02.00:AddressDetails.StateOrTerritory.Code
            [STIC20] = STIC:SuperFundMember.{ReportingPartyABN}:pyde.02.08:AddressDetails.Country.Code
        -->
        <assert id="VR.ATO.STIC.000019" diagnostics="DVR.ATO.STIC.000019"
                test="not(
                        string-length(normalize-space(.)) != 0
                        and
                        @contextRef = $SFMABN.ContextId
                        and
                        ../pyde.02.08:AddressDetails.Country.Code[@contextRef = $SFMABN.ContextId and not(@i:nil='true' or @i:nil='1') and upper-case(.) = 'AU']/@contextRef=./@contextRef
                        and
                        not(matches(., '^(ACT|NSW|NT|QLD|SA|VIC|WA|TAS)$','i')) 
                     )" />

    </rule>

    <rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/pyde.02.12:PersonDemographicDetails.Birth.Year[not(@i:nil='true' or @i:nil='1')]">

        <!--
            FOR ANY OCCURRENCE OF CONTEXT (SuperFundMember.{ReportingPartyABN})
            IF [STIC11] < "1900"
               RETURN VALIDATION MESSAGE
            ENDIF

            [STIC11] = STIC:SuperFundMember.{ReportingPartyABN}:pyde.02.12:PersonDemographicDetails.Birth.Year
        -->
        <assert id="VR.ATO.STIC.000033" diagnostics="DVR.ATO.STIC.000033"
                test="not(
                        @contextRef = $SFMABN.ContextId
                        and 
                        number(.) &lt; 1900 
                     )"/>

        <!--
            FOR ANY OCCURRENCE OF CONTEXT (SuperFundMember.{ReportingPartyABN})
            IF ([STIC9] <> NULLORBLANK AND [STIC10] <> NULLORBLANK AND [STIC11] <> NULLORBLANK) AND
            CONVERT_TO_DATE([STIC9], [STIC10], [STIC11]) <> VALID DATE
               RETURN VALIDATION MESSAGE
            ENDIF

            [STIC9] = STIC:SuperFundMember.{ReportingPartyABN}:pyde.02.12:PersonDemographicDetails.Birth.DayofMonth
            [STIC10] = STIC:SuperFundMember.{ReportingPartyABN}:pyde.02.12:PersonDemographicDetails.Birth.Month
            [STIC11] = STIC:SuperFundMember.{ReportingPartyABN}:pyde.02.12:PersonDemographicDetails.Birth.Year
        -->

        <let name="currentContextRef" value=" @contextRef"/>
        <let name="currentBirthDayOfMonth" value = " ../pyde.02.12:PersonDemographicDetails.Birth.DayofMonth[@contextRef = $currentContextRef]" />
        <let name="currentBirthMonth"      value = "../pyde.02.12:PersonDemographicDetails.Birth.Month[@contextRef =  $currentContextRef]" />
        <let name="currentBirthYear"       value = "./text()" />

        <let name="currentBirthDate" value="concat($currentBirthYear,
                                                   '-', 
                                                   substring-after($currentBirthMonth, '--'),
                                                   '-',
                                                   substring-after($currentBirthDayOfMonth, '---'))" />

        <assert id="VR.ATO.STIC.000030" diagnostics="DVR.ATO.STIC.000030"
                test="not(
                        string-length(normalize-space(.)) != 0
                        and
                        @contextRef = $SFMABN.ContextId
                        and                       
                        ../pyde.02.12:PersonDemographicDetails.Birth.DayofMonth[@contextRef = $SFMABN.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]/@contextRef=./@contextRef
                        and
                        ../pyde.02.12:PersonDemographicDetails.Birth.Month[@contextRef = $SFMABN.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]/@contextRef=./@contextRef
                        and
                        not(matches($currentBirthDate,'^\d{4}-\d{2}-\d{2}$') and string($currentBirthDate) castable as xs:date)
                     ) "/>

    </rule>

    <rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/pyin.02.14:Interaction.Reason.Text[not(@i:nil='true' or @i:nil='1')]">

        <!--    
            FOR ANY OCCURRENCE OF CONTEXT (SuperFundMember.{ReportingPartyABN})
            IF [STIC7] <> "VALIDENT"
              RETURN VALIDATION MESSAGE
            ENDIF

            [STIC7] = STIC:SuperFundMember.{ReportingPartyABN}:pyin.02.14:Interaction.Reason.Text
        -->
        <assert id="VR.ATO.STIC.000032" diagnostics="DVR.ATO.STIC.000032"
                test="not(
                        @contextRef = $SFMABN.ContextId
                        and
                        not(upper-case(.)='VALIDENT')
                     )"/>
    </rule>


</pattern>
