﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="Variables" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>XBRL variables that are applicable accross all of the STIC services.</title>

<!-- RP Context -->
<let name="RP.Context" value="xbrli:xbrl/xbrli:context[
                not(@i:nil='true' or @i:nil='1') 
                and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')] 
                and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')] 
                and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
                xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 1]/ 
                xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]
            ]" />
<!-- RP Context Id -->
<let name="RP.ContextId" value="$RP.Context/@id" />
<!-- RP.Identifier ABN -->
<let name="RP.Identifier.ABN" value="$RP.Context/xbrli:entity[not(@i:nil='true' or @i:nil='1')]/xbrli:identifier[not(@i:nil='true' or @i:nil='1') and @scheme='http://www.ato.gov.au/abn']/text()" />
<!-- INT Context -->
<let name="INT.Context" value="xbrli:xbrl/xbrli:context[
                not(@i:nil='true' or @i:nil='1') 
                and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')] 
                and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')] 
                and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/
                xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 1]/ 
                xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:Intermediary$')]
            ]" />
<!-- INT Context Id -->
<let name="INT.ContextId" value="$INT.Context/@id" />
<!-- INT.Identifier ABN -->
<let name="INT.Identifier.ABN" value="$INT.Context/xbrli:entity[not(@i:nil='true' or @i:nil='1')]/xbrli:identifier[not(@i:nil='true' or @i:nil='1') and @scheme='http://www.ato.gov.au/abn']/text()" />
<!-- INT.Startdate -->
<let name="INT.Startdate" value="string($INT.Context/xbrli:period[not(@i:nil='true' or @i:nil='1')]/xbrli:startDate[not(@i:nil='true' or @i:nil='1')])" />
<!-- SuperFundMember.{ReportingPartyABN} Context -->
<let name="SFMABN.Context" value="xbrli:xbrl/xbrli:context[
                    not(@i:nil='true' or @i:nil='1')
                    and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')] 
                    and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]
                    and count(./xbrli:period/xbrli:instant[not(@i:nil='true' or @i:nil='1')])=0 
                    and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]
                    /xbrli:segment[	
                        not(@i:nil='true' or @i:nil='1') 
                        and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 1 
                        and (count(./xbrldi:typedMember[not(@i:nil='true' or @i:nil='1')]) = 1)
                        and count(./xbrldi:explicitMember[
                            not(@i:nil='true' or @i:nil='1') 
                            and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') 
                            and matches(.,'^RprtPyType\.\d\d\.\d\d:SuperFundMember$')]) = 1
                            and count(./xbrldi:typedMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^ReportingPartyABN\.\d\d\.\d\d_typedelement:ReportingPartyABNDimension$')]
                               ) = 1
                ]
            ]" />
<!-- SuperFundMember.{ReportingPartyABN}  Context Id -->
<let name="SFMABN.ContextId" value="$SFMABN.Context/@id" />
<!-- SpecifiedIndividual.Identifier  -->
<let name="SFMABN.Identifier" value="$SFMABN.Context/xbrli:entity[not(@i:nil='true' or @i:nil='1')]/xbrli:identifier[not(@i:nil='true' or @i:nil='1') and lower-case(@scheme)='http://www.sbr.gov.au/id']/text()" />
<!-- SFMABN.Identifier ABN -->
<let name="SFMABN.Identifier.ABN" value="$SFMABN.Context/xbrli:entity[not(@i:nil='true' or @i:nil='1')]/xbrli:segment[not(@i:nil='true' or @i:nil='1')]/xbrldi:typedMember[@dimension ='ReportingPartyABN.02.00_typedelement:ReportingPartyABNDimension']/ReportingPartyABN.02.00_typedelement:Identifiers.AustralianBusinessNumber.Identifier/text()" />
<!-- SuperFundMember Instant  Context -->
<let name="SFMI.Context" value="xbrli:xbrl/xbrli:context[
                    not(@i:nil='true' or @i:nil='1')
                    and ./xbrli:period/xbrli:instant[not(@i:nil='true' or @i:nil='1')]                    
                    and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]
                    /xbrli:segment[	
                        not(@i:nil='true' or @i:nil='1') 
                        and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 1 
                        and (count(./xbrldi:typedMember[not(@i:nil='true' or @i:nil='1')]) = 1)
                        and count(./xbrldi:explicitMember[
                            not(@i:nil='true' or @i:nil='1') 
                            and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') 
                            and matches(.,'^RprtPyType\.\d\d\.\d\d:SuperFundMember$')]) = 1
                            and count(./xbrldi:typedMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^ReportingPartyABN\.\d\d\.\d\d_typedelement:ReportingPartyABNDimension$')]
                               ) = 1
                ]
            ]" />
<!-- SuperFundMember Instant Context Id -->
<let name="SFMI.ContextId" value="$SFMI.Context/@id" />
</pattern>